Bug 10404 - Add previous/next browsing to staff client search results
Summary: Add previous/next browsing to staff client search results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low new feature (vote)
Target Milestone: ---
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 11369 11817 11890 12261
  Show dependency treegraph
 
Reported: 2013-06-04 16:24 UTC by Jared Camins-Esakov
Modified: 2015-04-24 10:19 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10404: add previous/next browsing to staff client (39.06 KB, patch)
2013-07-31 21:22 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 10404: add previous/next browsing to staff client (48.93 KB, patch)
2013-08-06 15:25 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10404: add previous/next browsing to staff client (49.03 KB, patch)
2013-08-08 15:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10404 [CSS follow-up] Add previous/next browsing to staff client search results (3.63 KB, patch)
2013-08-08 15:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10404 [CSS follow-up] [SIGNED-OFF] Add previous/next browsing to staff client search results (3.67 KB, patch)
2013-08-09 09:49 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 10404: add previous/next browsing to staff client (49.06 KB, patch)
2013-08-09 13:17 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10404 [CSS follow-up] Add previous/next browsing to staff client search results (3.72 KB, patch)
2013-08-09 13:18 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-06-04 16:24:13 UTC
There is currently no way to go to the next record in a search result list on the staff client, and there really should be some sort of previous/next browse functionality.
Comment 1 Jared Camins-Esakov 2013-07-31 21:22:06 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-08-05 13:17:34 UTC
Two comments I made in IRC that I will copy here so they are not forgotten:

- I would put browser.js in intranet-tmpl/js rather than intranet-tmpl/lib/koha. Generally speaking /lib/ is for 3rd-party libraries, /js/ is for scripts written for Koha.

- There is commented-out code in results.tt, [% dumper.dump(SEARCH_RESULTS) %]
Comment 3 Jared Camins-Esakov 2013-08-06 15:25:42 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-08-08 15:02:11 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2013-08-08 15:08:16 UTC Comment hidden (obsolete)
Comment 6 Magnus Enger 2013-08-09 09:49:52 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2013-08-09 13:17:51 UTC
Created attachment 20225 [details] [review]
Bug 10404: add previous/next browsing to staff client

Although previous/next browsing was added for searches in the OPAC
in 2011, the staff client has been without any sort of search browsing.
Until now. This patch is an all-singing, all-dancing, all-compatible
implementation of search browsing that will work across multiple
browser tabs and on any browser since IE7 (though the staff client
layout is broken on IE7).

To test:
1) Perform a search that will bring up multiple results.
2) View one of the results.
3) Use the Previous and Next links to browse along the search results.
4) Use the "Return to results" button to check that you end up at the
   correct page of results, even if you page through more than 20
   records.
5) Sign off.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl, works as advertised.
Comment 8 Kyle M Hall 2013-08-09 13:18:17 UTC
Created attachment 20226 [details] [review]
Bug 10404 [CSS follow-up] Add previous/next browsing to staff client search results

This patch slightly modifies the styles of the previous/next links in a
way that I think is simpler and clearer.

To test, apply the patch and clear your browser cache if necessary.
Perform a search in the staff client, click any result, and look at the
prevous/next links. If you think this is an improvement, sign off!

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Looks like an improvement to me!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Galen Charlton 2013-08-09 15:06:31 UTC
Comment on attachment 20215 [details] [review]
Bug 10404 [CSS follow-up] [SIGNED-OFF] Add previous/next browsing to staff client search results

Looks like wrong patch was marked obsolete during the final QA round, fixing.
Comment 10 Galen Charlton 2013-08-09 15:28:55 UTC
Pushed to master.  Thanks, Jared!